Subject: bug#16231: [PATCH 0/9] Refactored loop fixes

From: Phillip Susi <[email-masked]>
Date: Wed, 07 May 2014 21:32:45 -0400

On 05/07/2014 06:49 PM, Brian C. Lane wrote:
> NAK. These make a pile of the tests fail:
> 
> ========================================== GNU parted 3.1:
> tests/test-suite.log ========================================== #
> TOTAL: 77 # PASS:  27 # SKIP:  35 # XFAIL: 0 # FAIL:  15 # XPASS:
> 0 # ERROR: 0 .. contents:: :depth: 2
> 
> looks like at least one core dump in the mix.

Something weird is going on.. as I mentioned before, I get that odd
gnulib error after the first 3 sector size passes in a make check that
seems to be a bug in the build scripts, but the first three all pass:

============================================================================
Testsuite summary for GNU parted 3.1.98-c457
============================================================================
# TOTAL: 77
# PASS:  63
# SKIP:  13
# XFAIL: 1
# FAIL:  0
# XPASS: 0
# ERROR: 0

make[1]: Leaving directory `/home/psusi/parted'
  GEN      public-submodule-commit
Stopping at 'gnulib'; script returned non-zero status.
maint.mk: found non-public submodule commit
make: *** [public-submodule-commit] Error 1

And then I manually run make check-recursive to get the 512 byte
sector size:

============================================================================
Testsuite summary for GNU parted 3.1.98-c457
============================================================================
# TOTAL: 77
# PASS:  75
# SKIP:  1
# XFAIL: 1
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================

Can you look into why/what fails on your system?  I also notice yours
says version 3.1 while mine is 3.1.98-c457.  Did you check out 3.1
instead of master and then not run bootstrap/configure after applying
the patches?